<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.receive.mapper.BaseFarmMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.receive.entity.BaseFarm">
        <id column="id" property="id" />
        <result column="farm_name" property="farmName" />
        <result column="location" property="location" />
        <result column="front_location" property="frontLocation" />
        <result column="row_status" property="rowStatus" />
        <result column="farm_menu" property="farmMenu" />
        <result column="farm_top_menu" property="farmTopMenu" />
        <result column="function" property="function" />
    </resultMap>

</mapper>
